/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/* ***** BEGIN LICENSE BLOCK *****
 *
 * The Initial Developer is
 * Ben Bucksch <http://www.bucksch.org>
 * of Beonex <http://www.beonex.com>
 *
 * The contents of this file are too trivial to have copyright protection
 * and are thus in the public domain.
 *
 * ***** END LICENSE BLOCK ***** */

#include "nsIGenericFactory.h"

#include "mozSRoaming.h"
#include "mozLDAPSimpleStreamListener.h"

NS_GENERIC_FACTORY_CONSTRUCTOR(mozSRoaming)
NS_GENERIC_FACTORY_CONSTRUCTOR(mozLDAPSimpleStreamListener)
NS_GENERIC_FACTORY_CONSTRUCTOR(mozLDAPLIDataStreamListener)
NS_GENERIC_FACTORY_CONSTRUCTOR(mozLDAPLIPrefsStreamListener)

static const nsModuleComponentInfo components[] =
{
  { "Session Roaming",
    NS_SESSIONROAMING_CID,
    NS_SESSIONROAMING_CONTRACTID,
    mozSRoamingConstructor },

  { NS_LDAP_LIDATA_STREAMLISTENER_CLASSNAME,
    NS_LDAP_LIDATA_STREAMLISTENER_CID,
    NS_LDAP_LIDATA_STREAMLISTENER_CONTRACTID,
    mozLDAPLIDataStreamListenerConstructor },

  { NS_LDAP_LIPREFS_STREAMLISTENER_CLASSNAME,
    NS_LDAP_LIPREFS_STREAMLISTENER_CID,
    NS_LDAP_LIPREFS_STREAMLISTENER_CONTRACTID,
    mozLDAPLIPrefsStreamListenerConstructor }
};


NS_IMPL_NSGETMODULE(mozSRoamingModule, components)
